Subject: Re: [bug#77990] [PATCH v2] gnu: Add emacs-ffi.
From: Christopher Baines <[email-masked]>
To: Suhail Singh <[email-masked]>
Cc: Cayetano Santos <[email-masked]>, [email-masked]
Date: Sun, 11 May 2025 10:31:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Suhail Singh <[email-masked]> writes:

> Cayetano Santos <[email-masked]> writes:
>
>>> +              ;; Install the shared object file into /lib.
>>> +              (install-file "build/lib/ffi-module.so"
>>> +                            (string-append #$output "/lib"))))
>>
>> I have a doubt about where do we  put .so files.
>>
>> - lib
>> - lib/package
>> - lib/emacs (see emacs-jinx)
>>
>> Other than this, LFTM.
>
> IIUC the standard place for shared libraries is in #$output/lib.  I
> don't know of any reason to deviate from that in this case.  To the
> extent it matters, at least one other dynamic module (emacs-sqlite3-api)
> also uses that convention.
>
> I'm no authority, but it seems that Emacs dynamic modules are simply
> less consistent about storing libraries in the standard location, rather
> than there being a principled reason against using the standard
> convention.
>
> Thanks for the review.

Thanks both, I've pushed this to master as
65dea0cde084dc364dbd0dbd51e589733951fed6.

Chris